> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesink.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List All User Workspaces



## OpenAPI

````yaml /openapi.json get /workspaces/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /workspaces/:
    get:
      tags:
        - WORKSPACES
      summary: List All User Workspaces
      operationId: list_all_user_workspaces_workspaces__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWorkspaceResponse'
      security:
        - OAuth2PasswordBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ListWorkspaceResponse:
      properties:
        workspaces:
          items:
            $ref: '#/components/schemas/WorkspaceResponse'
          type: array
          title: Workspaces
      type: object
      required:
        - workspaces
      title: ListWorkspaceResponse
    WorkspaceResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - name
        - slug
      title: WorkspaceResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````